#
# spec file for package xautolck (Version pl10)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         xautolck
Release:      12
Copyright:    Stefan De Troch, Michel Eyckmans
Group: 
Provides:     xautolock 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      pl10
Summary:      lock the screen after a certain time automagically
Source: xautolock.tar.gz
Patch: xautolock.dif
%description
This program uses another locker program to lock the screen automagically
after an idle period. It may e.g. be called as follows:
xautolock -locker "xlock -mode blank"
using xlock as locker program.

Authors:
--------
    Stefan De Troch <stefan@specs.philips.com>
    Michel Eyckmans <eyckmans@imec.be>

%prep
%setup -n xautolock.pl10
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
/usr/X11R6/bin/xautolock
%doc /usr/X11R6/man/man1/xautolock.1.gz

